<template>
  <div :class="classes">
    <div class="elem-body">
      <p v-if="data.content">{{ data.content }}</p>
    </div>
  </div>
</template>

<script>
export default {
  name: "topic-head",
  props: {
    data: {
      type: Object,
    },
  },
  data() {
    return {};
  },
  computed: {
    classes() {
      return [
        "elem-topic-head",
        {
          "elem-topic-head-pad": !this.data.isColumnFirst,
          "elem-topic-head-empty": !this.data.content,
        },
      ];
    },
  },
  methods: {},
};
</script>
